NFORENUM(1)

NAME
NFORenum - A tool for checking NFO code for errors, and for beautifying that code

SYNOPSIS
nforenum [options] [file [file2 [file3 [...]]]]

OPTIONS

--auto-correct | -a
    Perform some rudimentary automatic correction of incorrect pseudo sprites. This may be specified twice to enable the corrections that are more likely to be incorrect. See the README for detailed information on the auto-correcter.

--comments=type | -c type
    <type> is one character, either /, ;, or #, and specifies the comment style that NFORenum will use. This will not change the header, because grfcodec requires that the header be commented in C++-style.

--data[=dir] | -D[dir]
    If <dir> is specified, look for the .nforenum directory in <dir>, and create it if not found.

    If <dir> is not specified, report the location of the .nforenum directory. In either case, eliminate the 5-second wait used to ensure that those not running NFORenum from a command line can see the directory-created message.

    Default: Look for the .nforenum directory in the current directory, and then in the environment variable HOME , if defined. If not found attempt to create in HOME , then in .

--force | -f
    Forces processing of files that do not look like NFO files. The default is to treat such files as if they specified a too-high info version.

--help | -h
    Display the help message.

--lock
    Locks the current comment command state. Commands will continue to be parsed as normal (so NOPRESERVE will be honored, @@DIFF will be removed, &c.) but their changes (such as turning on the diff-assister) will not be honored.

--no-replace | --keep-old | -k
    Do not replace the old NFO file; write new file to file.new.nfo. Default: Use file[.nfo].new as temporary, rename it to file[.nfo] when done.

--silent | -s
    Silence the progress output in interactive mode.

--version | -v
    Display the version.

--write-data
    Refresh all data files, unless they are newer.
The following options cause NFORenum to behave as if all files started with the associated command. The readme has full details on the comment commands. Options associated with comment commands that require additional information take that information as an argument. With the exception of -L/--let , the options to the command line versions are case insensitive. "ON" and "OFF" may be specified with "+" and "-", respectively.

--beautify | -b
    @@BEAUTIFY

--diff | -d
    @@DIFF

--let | -L
    @@LET

--lint | -l
    @@LINT

--preserve-messages | -p
    @@PRESERVEMESSAGES

--real-sprites | -r
    @@REALSPRITES

--use-old-nums | -o
    @@USEOLDSPRITENUMS

--warning-disable | -w
    @@WARNING DISABLE

--warning-enable | -W
    @@WARNING ENABLE
-w and -W (and their long counterparts) also accept a comma-separated list of messages, all of which will be ENABLEd or DISABLEd.

SEE ALSO
The documentation in /usr/share/doc/nforenum/

AUTHOR
nforenum was written by Dale McCoy, with portions by Dan Masek, Thijs Marinussen, Remko Bijker and Christoph Elsenhans.

This manual page was written by Remko Bijker.